USB_FREE_COHERENT(9)

NAME
usb_free_coherent - free memory allocated with usb_alloc_coherent

SYNOPSIS

void usb_free_coherent(struct usb_device * dev, size_t size, void * addr, dma_addr_t dma);

ARGUMENTS

dev
    device the buffer was used with

size
    requested buffer size

addr
    CPU address of buffer

dma
    DMA address of buffer

DESCRIPTION

This reclaims an I/O buffer, letting it be reused. The memory must have been allocated using usb_alloc_coherent, and the parameters must match those provided in that allocation request.

COPYRIGHT